Loading...
Searching...
No Matches
EST_Hash_Pair< K, V > Class Template Reference

`#include <include/EST_THash.h>`

## Public Attributes

K | k
| The key.
V | v
| The value.

## Friends

class | EST_THash< K, V >
| The hash table must be a friend so it can see the pointer.

## Detailed Description

template<class K, class V>
class EST_Hash_Pair< K, V >

This class is used in hash tables to hold a key value pair. Not much to say beyond that.

Definition at line 75 of file EST_THash.h.

## Friends And Related Symbol Documentation

## EST_THash< K, V >

template<class K, class V>

friend class EST_THash< K, V >

friend

The hash table must be a friend so it can see the pointer.

Definition at line 84 of file EST_THash.h.

## Member Data Documentation

## k

template<class K, class V>

K EST_Hash_Pair< K, V >::k

The key.

Definition at line 78 of file EST_THash.h.

## v

template<class K, class V>

V EST_Hash_Pair< K, V >::v

The value.

Definition at line 80 of file EST_THash.h.

The documentation for this class was generated from the following file:

- include/EST_THash.h